Page MenuHomePhabricator

https://grafana.wikimedia.org/dashboard/db/wikidata-dispatch-script not showing data
Closed, ResolvedPublic

Description

The metrics being used by this dashboard were split by wiki in T196609

The dashboard needs to be updated to use the new metrics.

While trying to update the dashboards I could not find the new metrics, after a bit of investigation it looks like the PerDbnameStatsdDataFactory in core that was added as part of T196609 uses an unexpected prefix of "MediaWikiwikidatawiki" for example, but I also can not find that.

I have created https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/448031/ to fix the prefix to be "MediaWiki.wikidatawiki"

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 26 2018, 12:32 PM

Change 448031 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@master] Fix PerDbnameStatsdDataFactory metric prefix

https://gerrit.wikimedia.org/r/448031

Change 448031 merged by jenkins-bot:
[mediawiki/core@master] Fix PerDbnameStatsdDataFactory metric prefix

https://gerrit.wikimedia.org/r/448031

Addshore moved this task from Unsorted 💣 to Next on the User-Addshore board.Aug 17 2018, 1:25 PM

For some reason the data is still not showing up where it should...

Addshore moved this task from incoming to in progress on the Wikidata board.Aug 20 2018, 3:24 PM
Addshore triaged this task as Medium priority.Aug 22 2018, 3:22 PM
Addshore closed this task as Resolved.Aug 30 2018, 8:56 AM

https://grafana.wikimedia.org/dashboard/db/wikidata-dispatch-script is now working again and is set up with seperated data for each dispatching wiki (currently testwikidata and real wikidata)